OpenJPEG: opj_image Struct Reference

OpenJPEG 2.5.0

Data Fields
opj_image Struct Reference

Defines image data and characteristics. More...

`#include <openjpeg.h>`

## Data Fields
OPJ_UINT32 | x0
| XOsiz: horizontal offset from the origin of the reference grid to the left side of the image area.
OPJ_UINT32 | y0
| YOsiz: vertical offset from the origin of the reference grid to the top side of the image area.
OPJ_UINT32 | x1
| Xsiz: width of the reference grid.
OPJ_UINT32 | y1
| Ysiz: height of the reference grid.
OPJ_UINT32 | numcomps
| number of components in the image
OPJ_COLOR_SPACE | color_space
| color space: sRGB, Greyscale or YUV
opj_image_comp_t * | comps
| image components
OPJ_BYTE * | icc_profile_buf
| 'restricted' ICC profile
OPJ_UINT32 | icc_profile_len
| size of ICC profile

## Detailed Description

Defines image data and characteristics.

## Field Documentation

## ◆ color_space

OPJ_COLOR_SPACE opj_image::color_space

color space: sRGB, Greyscale or YUV

Referenced by opj_copy_image_header(), opj_image_create(), opj_image_tile_create(), opj_jp2_decode(), opj_jp2_get_tile(), and opj_jp2_setup_encoder().

## ◆ comps

opj_image_comp_t* opj_image::comps

image components

Referenced by imagetopnm(), j2k_dump_image_header(), main(), opj_copy_image_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_image_comp_header_update(), opj_image_create(), opj_image_destroy(), opj_image_tile_create(), opj_j2k_are_all_used_components_decoded(), opj_j2k_decode(), opj_j2k_decode_tiles(), opj_j2k_encode(), opj_j2k_get_tile(), opj_j2k_get_tile_data(), opj_j2k_is_cinema_compliant(), opj_j2k_is_imf_compliant(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_read_cbd(), opj_j2k_read_siz(), opj_j2k_set_cinema_parameters(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_encoder(), opj_j2k_start_compress(), opj_j2k_update_image_data(), opj_j2k_update_image_dimensions(), opj_j2k_update_rates(), opj_j2k_write_cbd(), opj_j2k_write_siz(), opj_jp2_apply_cdef(), opj_jp2_apply_pclr(), opj_jp2_setup_encoder(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_t2_decode_packets(), opj_tcd_copy_tile_data(), opj_tcd_dc_level_shift_decode(), opj_tcd_dc_level_shift_encode(), opj_tcd_decode_tile(), opj_tcd_dwt_decode(), opj_tcd_get_decoded_tile_size(), opj_tcd_get_encoder_input_buffer_size(), opj_tcd_init_tile(), opj_tcd_is_subband_area_of_interest(), opj_tcd_is_whole_tilecomp_decoding(), opj_tcd_makelayer_fixed(), opj_tcd_mct_decode(), opj_tcd_mct_encode(), opj_tcd_rateallocate(), and opj_tcd_update_tile_data().

## ◆ icc_profile_buf

OPJ_BYTE* opj_image::icc_profile_buf

'restricted' ICC profile

Referenced by opj_copy_image_header(), opj_image_destroy(), opj_jp2_decode(), and opj_jp2_get_tile().

## ◆ icc_profile_len

OPJ_UINT32 opj_image::icc_profile_len

size of ICC profile

Referenced by opj_copy_image_header(), opj_jp2_decode(), opj_jp2_get_tile(), and opj_jp2_setup_encoder().

## ◆ numcomps

OPJ_UINT32 opj_image::numcomps

number of components in the image

Referenced by imagetopnm(), j2k_dump(), j2k_dump_image_header(), j2k_get_cstr_info(), main(), opj_copy_image_header(), opj_get_all_encoding_parameters(), opj_get_encoding_packet_count(), opj_get_encoding_parameters(), opj_image_comp_header_update(), opj_image_create(), opj_image_destroy(), opj_image_tile_create(), opj_j2k_add_mct(), opj_j2k_are_all_used_components_decoded(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_decode(), opj_j2k_decode_tiles(), opj_j2k_dump_MH_info(), opj_j2k_encode(), opj_j2k_get_max_coc_size(), opj_j2k_get_specific_header_sizes(), opj_j2k_get_tile(), opj_j2k_get_tile_data(), opj_j2k_is_cinema_compliant(), opj_j2k_is_imf_compliant(), opj_j2k_mct_validation(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_read_cbd(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_crg(), opj_j2k_read_mco(), opj_j2k_read_poc(), opj_j2k_read_qcc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_set_cinema_parameters(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_components(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_encoder(), opj_j2k_setup_mct_encoding(), opj_j2k_start_compress(), opj_j2k_update_image_data(), opj_j2k_update_image_dimensions(), opj_j2k_update_rates(), opj_j2k_write_all_coc(), opj_j2k_write_all_qcc(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_coc_in_memory(), opj_j2k_write_first_tile_part(), opj_j2k_write_poc(), opj_j2k_write_poc_in_memory(), opj_j2k_write_qcc(), opj_j2k_write_qcc_in_memory(), opj_j2k_write_regions(), opj_j2k_write_siz(), opj_j2k_write_SPCod_SPCoc(), opj_j2k_write_tile(), opj_jp2_apply_cdef(), opj_jp2_apply_pclr(), opj_jp2_check_color(), opj_jp2_setup_encoder(), opj_pi_create(), opj_pi_create_decode(), opj_pi_initialise_encode(), opj_pi_update_encoding_parameters(), opj_t2_decode_packets(), opj_t2_encode_packets(), opj_tcd_copy_tile_data(), opj_tcd_decode_tile(), opj_tcd_get_decoded_tile_size(), opj_tcd_get_encoder_input_buffer_size(), opj_tcd_init(), opj_tcd_t1_encode(), and opj_tcd_update_tile_data().

## ◆ x0

OPJ_UINT32 opj_image::x0

XOsiz: horizontal offset from the origin of the reference grid to the left side of the image area.

Referenced by j2k_dump_image_header(), opj_copy_image_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_get_tile_dimensions(), opj_image_comp_header_update(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_get_tile(), opj_j2k_is_imf_compliant(), opj_j2k_read_siz(), opj_j2k_set_decode_area(), opj_j2k_set_imf_parameters(), opj_j2k_update_image_dimensions(), opj_j2k_update_rates(), opj_j2k_write_siz(), opj_jp2_setup_encoder(), and opj_tcd_init_tile().

## ◆ x1

OPJ_UINT32 opj_image::x1

Xsiz: width of the reference grid.

Referenced by j2k_dump_image_header(), opj_copy_image_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_get_tile_dimensions(), opj_image_comp_header_update(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_get_imf_max_NL(), opj_j2k_get_tile(), opj_j2k_is_imf_compliant(), opj_j2k_read_siz(), opj_j2k_set_decode_area(), opj_j2k_set_imf_parameters(), opj_j2k_setup_encoder(), opj_j2k_update_image_dimensions(), opj_j2k_update_rates(), opj_j2k_write_siz(), opj_jp2_setup_encoder(), and opj_tcd_init_tile().

## ◆ y0

OPJ_UINT32 opj_image::y0

YOsiz: vertical offset from the origin of the reference grid to the top side of the image area.

Referenced by j2k_dump_image_header(), opj_copy_image_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_get_tile_dimensions(), opj_image_comp_header_update(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_get_tile(), opj_j2k_is_imf_compliant(), opj_j2k_read_siz(), opj_j2k_set_decode_area(), opj_j2k_set_imf_parameters(), opj_j2k_update_image_dimensions(), opj_j2k_update_rates(), opj_j2k_write_siz(), opj_jp2_setup_encoder(), and opj_tcd_init_tile().

## ◆ y1

OPJ_UINT32 opj_image::y1

Ysiz: height of the reference grid.

Referenced by j2k_dump_image_header(), opj_copy_image_header(), opj_get_all_encoding_parameters(), opj_get_encoding_parameters(), opj_image_comp_header_update(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_get_tile(), opj_j2k_is_imf_compliant(), opj_j2k_read_siz(), opj_j2k_set_decode_area(), opj_j2k_set_imf_parameters(), opj_j2k_setup_encoder(), opj_j2k_update_image_dimensions(), opj_j2k_update_rates(), opj_j2k_write_siz(), opj_jp2_setup_encoder(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- openjpeg.h